<?php
// required headers
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

include_once '../config/database.php';
include_once '../objects/expense.php';
session_start();
date_default_timezone_set('Asia/Bangkok');
$database = new Database();
$db = $database->getConnection();
 
$expense = new Expense($db);
$data = json_decode(file_get_contents("php://input"));

$expense->date = $data->date;
$expense->voucher_no = $data->voucher_no;
$expense->type = $data->type;
$expense->account_code = $data->account_code;
$expense->account_head = $data->account_head;
$expense->particular = $data->particular;
$expense->quantity = $data->quantity;
$expense->price = $data->price;
$expense->remark = $data->remark;
$expense->entry_by = isset($_SESSION['user'])?$_SESSION['user']:"";
$expense->update_by = isset($_SESSION['user'])?$_SESSION['user']:"";

if($data->id){
	$expense->id = $data->id;
	if($expense->update()){
		$msg_arr = array(
			"message" => "updated"
		);
	}else{
		$msg_arr = array(
			"message" => "errorIU"
		);
	}
}else{
	if($expense->create()){
		$msg_arr = array(
			"message" => "created"
		);
	}else{
		$msg_arr = array(
			"message" => "errorc"
		);	
	}
}


echo json_encode($msg_arr);
?>	